Follow

Is my mobile device compatible with Escali SmartConnect devices?

In order to pair the Escali SmartConnect app to an Escali SmartConnect scale, your mobile device must support Bluetooth® Low Energy and run Android 4.1 (or higher) or iOS 10.0 (or higher.)

If your mobile device is not compatible with SmartConnect then you may still use the app by manually entering weights.

 

Valid for the Escali SmartConnect mobile app. iOS version: 1.3  /  Android version 1.7

Was this article helpful?
2 out of 2 found this helpful
Have more questions? Submit a request

0 Comments

Article is closed for comments.